var page = "pipus.html";
var pipusApp = angular.module('pipusApp', ['menuController', 'pipusService', 'userbiweeksService', 
    'notifiesCtrl', 
    'soundsService',
    'chatsettingsService',
    'userchatstatusesService',
    'chatApp',
 'ivh.treeview']);
pipusApp.run(function ($ionicPlatform) {
    $ionicPlatform.ready(function () {
        var devicePlatform = "";
        try {
            devicePlatform = device.platform;
        } catch (err) {
            console.log(err)
        }
        if (devicePlatform != "iPhone" && devicePlatform != "iOS") {
            // $scope.deviceLoading = "ios";
            isiOs = false;
        }
        //ionic.Platform.fullScreen();
        // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
        // for form inputs)
        if (window.cordova && window.cordova.plugins.Keyboard) {
            cordova.plugins.Keyboard.hideKeyboardAccessoryBar(false);
            cordova.plugins.Keyboard.disableScroll(true);
        }
        if (window.StatusBar) {
            // org.apache.cordova.statusbar required
            // StatusBar.styleDefault();
            StatusBar.show();
            StatusBar.backgroundColorByHexString("#327EBB");
            StatusBar.styleLightContent();
            //StatusBar.hide();
            StatusBar.overlaysWebView(false);
        }
    });
})
pipusApp.config(function ($stateProvider, $urlRouterProvider) {
    $stateProvider.state('dashboard', {
        url: '/board',
        abstract: true,
        templateUrl: 'templates/dashboard/general/menu.html',
        controller: 'menuCtrl'
    }).state('dashboard.pipus', {
        url: '/pipus',
        views: {
            'menuContent': {
                templateUrl: 'templates/dashboard/pipus/pipus.tpl',
                controller: 'pipusCtrl'
            }
        }
    })
    // if none of the above states are matched, use this as the fallback
    $urlRouterProvider.otherwise('/board/pipus');
});
